# Uses of Class
org.apache.lucene.index.IndexReader.CacheKey

Packages that use IndexReader.CacheKey
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.internal.tests
Internal bridges to package-private internals, for use by the lucene test framework only.

- ## Uses of IndexReader.CacheKey in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as IndexReader.CacheKey
  Modifier and Type
  Field
  Description
  `final IndexReader.CacheKey`
  OrdinalMap.`owner`
  Cache key of whoever asked for this awful thing
  Methods in org.apache.lucene.index that return IndexReader.CacheKey
  Modifier and Type
  Method
  Description
  `IndexReader.CacheKey`
  FilterDirectoryReader.DelegatingCacheHelper.`getKey()`
  `IndexReader.CacheKey`
  IndexReader.CacheHelper.`getKey()`
  Get a key that the resource can be cached on.
  Methods in org.apache.lucene.index with parameters of type IndexReader.CacheKey
  Modifier and Type
  Method
  Description
  `static OrdinalMap`
  OrdinalMap.`build(IndexReader.CacheKey owner, SortedDocValues[] values, float acceptableOverheadRatio)`
  Create an ordinal map that uses the number of unique values of each `SortedDocValues` instance as a weight.
  `static OrdinalMap`
  OrdinalMap.`build(IndexReader.CacheKey owner, SortedSetDocValues[] values, float acceptableOverheadRatio)`
  Create an ordinal map that uses the number of unique values of each `SortedSetDocValues` instance as a weight.
  `static OrdinalMap`
  OrdinalMap.`build(IndexReader.CacheKey owner, TermsEnum[] subs, long[] weights, float acceptableOverheadRatio)`
  Creates an ordinal map that allows mapping ords to/from a merged space from `subs`.
  `void`
  IndexReader.ClosedListener.`onClose(IndexReader.CacheKey key)`
  Invoked when the resource (segment core, or index reader) that is being cached on is closed.

- ## Uses of IndexReader.CacheKey in org.apache.lucene.internal.tests

  Methods in org.apache.lucene.internal.tests that return IndexReader.CacheKey
  Modifier and Type
  Method
  Description
  `IndexReader.CacheKey`
  IndexPackageAccess.`newCacheKey()`